> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions

> List the current user's chat sessions for a project (newest first).



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /agent/sessions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /agent/sessions:
    get:
      summary: List Sessions
      description: List the current user's chat sessions for a project (newest first).
      operationId: list_sessions_agent_sessions_get
      parameters:
        - name: project_id
          in: query
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentSession'
                title: Response List Sessions Agent Sessions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentSession:
      properties:
        id:
          type: string
          title: Id
        user_id:
          type: string
          title: User Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        title:
          type: string
          title: Title
        sdk_session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sdk Session Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      additionalProperties: false
      type: object
      required:
        - id
        - user_id
        - title
        - created_at
        - updated_at
      title: AgentSession
      description: A persisted chat session, scoped to a user/organization/project.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````